Package twisted :: Package scripts :: Module coil :: Class Options

[show private | hide private]
[frames | no frames]

## Class Options

    UserDict --+
               |
         Options --+
                   |
                  Options

Options for coil command.

Method Summary
| `__init__(self)` (inherited from `Options`)
| `__cmp__(self, dict)` (inherited from `UserDict`)
| `__contains__(self, key)` (inherited from `UserDict`)
| `__delitem__(self, key)` (inherited from `UserDict`)
| ``__getattr__`(self, attr)` I make sure that old style 'optObj.option' access still works. (inherited from `Options`)
| `__getitem__(self, key)` (inherited from `UserDict`)
| `__hash__(self)` (inherited from `Options`)
| `__len__(self)` (inherited from `UserDict`)
| `__repr__(self)` (inherited from `UserDict`)
| `__setitem__(self, key, item)` (inherited from `UserDict`)
| `__str__(self, width)` (inherited from `Options`)
| `clear(self)` (inherited from `UserDict`)
| `copy(self)` (inherited from `UserDict`)
| `get(self, key, failobj)` (inherited from `UserDict`)
| `has_key(self, key)` (inherited from `UserDict`)
| `items(self)` (inherited from `UserDict`)
| `iteritems(self)` (inherited from `UserDict`)
| `iterkeys(self)` (inherited from `UserDict`)
| `itervalues(self)` (inherited from `UserDict`)
| `keys(self)` (inherited from `UserDict`)
| ``opt_help`(self)` Display this help and exit. (inherited from `Options`)
| `opt_version(self)` (inherited from `Options`)
| `parseArgs(self, tapFile)`
| ``parseOptions`(self, options)` The guts of the command-line parser. (inherited from `Options`)
| `popitem(self)` (inherited from `UserDict`)
| ``postOptions`(self)` I am called after the options are parsed.
| `setdefault(self, key, failobj)` (inherited from `UserDict`)
| `update(self, dict)` (inherited from `UserDict`)
| `values(self)` (inherited from `UserDict`)
| ``_gather_flags`(self)` Gather up boolean (flag) options. (inherited from `Options`)
| ``_gather_handlers`(self)` Gather up options with their own handler methods. (inherited from `Options`)
| ``_gather_parameters`(self)` Gather options which take a value. (inherited from `Options`)
| `_generic_flag(self, flagName, value)` (inherited from `Options`)
| `_generic_parameter(self, parameterName, value)` (inherited from `Options`)

Class Variable Summary
`list` | `optFlags`
`list` | `optParameters`
`str` | `synopsis`

Method Details

### postOptions(self)

I am called after the options are parsed.

Override this method in your subclass to do something after the options have been parsed and assigned, like validate that all options are sane.

  Overrides:
    `twisted.python.usage.Options.postOptions` (inherited documentation)

Class Variable Details

### optFlags

  Type:
    `list`
  Value:

        [['localhost', 'l']]

### optParameters

  Type:
    `list`
  Value:

        [['new', 'n', None], ['port', 'p', 9080]]

### synopsis

  Type:
    `str`
  Value:

        '''Usage:

          coil [--new=<application name>] <tap file>

        '''

Generated by Epydoc 1.1 on Thu May 8 13:18:58 2003 | http://epydoc.sf.net